// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
	event.remove({ output: 'mekanismgenerators:heat_generator' })
	event.remove({ output: 'appliedenergistics2:controller' })
	event.remove({ output: 'mekanism:digital_miner' })
	event.remove({ output: 'appliedenergistics2:inscriber' })
	event.remove({ output: 'mekanism:upgrade_speed' })
	event.remove({ output: 'tac:workbench' })
	
	event.shaped('mekanismgenerators:heat_generator', [
    'III',
    'POP',
    'CFC'
    ], {
    I: 'minecraft:iron_ingot',
    F: 'ironfurnaces:iron_furnace',
	P: '#minecraft:planks',
	C: '#forge:ingots/copper',
    O: 'mekanism:ingot_osmium'
    })
	
	event.shaped('appliedenergistics2:controller', [
    'SAS',
    'FEF',
    'SFS'
    ], {
    S: 'mekanism:steel_casing',
    F: 'appliedenergistics2:purified_fluix_crystal',
	A: 'mekanism:alloy_atomic',
	E: 'appliedenergistics2:engineering_processor'
    })
	
	event.shaped('mekanism:digital_miner', [
    'ALA',
    'KRK',
    'TST'
    ], {
    L: 'appliedenergistics2:logic_processor',
    K: 'appliedenergistics2:smooth_sky_stone_block',
	A: 'mekanism:alloy_atomic',
	R: 'mekanism:robit',
	S: 'mekanism:steel_casing',
	T: 'mekanism:teleportation_core'
    })
	
	event.shaped('appliedenergistics2:inscriber', [
    'APA',
    'IAI',
    'SSS'
    ], {
    P: 'minecraft:sticky_piston',
	A: 'mekanism:alloy_atomic',
	I: 'minecraft:iron_ingot',
	S: 'mekanism:steel_casing'
    })
	
	event.shaped('mekanism:upgrade_speed', [
    'XSX',
    'ICI',
    'XSX'
    ], {
    X: 'minecraft:air',
	C: 'appliedenergistics2:calculation_processor',
	I: 'mekanism:alloy_infused',
	S: 'appliedenergistics2:smooth_sky_stone_block'
    })
	
	event.shaped('tac:workbench', [
    'XNX',
    'SAS',
    'SNS'
    ], {
    X: 'minecraft:air',
	A: 'mekanism:alloy_atomic',
	N: 'minecraft:nether_star',
	S: 'mekanism:steel_casing'
    })
	
})

onEvent('item.tags', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	// event.get('forge:cobblestone').add('minecraft:diamond_ore'
	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
	// event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
})